clang-tools 6.0.0

Namespaces | Functions | Variables
run-clang-tidy.py File Reference

Go to the source code of this file.

## Namespaces
| run-clang-tidy

## Functions
def | run-clang-tidy.find_compilation_database (path)
def | run-clang-tidy.make_absolute (f, directory)
def | run-clang-tidy.get_tidy_invocation (f, clang_tidy_binary, checks, tmpdir, build_path, header_filter, extra_arg, extra_arg_before, quiet)
def | run-clang-tidy.merge_replacement_files (tmpdir, mergefile)
def | run-clang-tidy.check_clang_apply_replacements_binary (args)
def | run-clang-tidy.apply_fixes (args, tmpdir)
def | run-clang-tidy.run_tidy (args, tmpdir, build_path, queue)
def | run-clang-tidy.main ()

## Variables
string | run-clang-tidy.is_py2 = '2'